## zephir-client 2.7.2-9

=== Makefile ===
#!/usr/bin/make

INSTALL         := install
INSTALL_DATA    := install -m 644
INSTALL_PROGRAM := install -m 755
INSTALL_DIR     := install -m 755 -d

EOLE_DIR        := $(DESTDIR)/usr/share/eole
PRETEMPLATE_DIR := $(EOLE_DIR)/pretemplate
POSTTEMPLATE_DIR := $(EOLE_DIR)/posttemplate
CREOLE_DIR      := $(EOLE_DIR)/creole
CREOLE_DICO     := $(CREOLE_DIR)/dicos

ZEPHIR_DIR      := $(DESTDIR)/usr/share/zephir
ZEPHIR_CONFIG   := $(ZEPHIR_DIR)/monitor/configs
ZEPHIR_DATA     := $(ZEPHIR_DIR)/monitor/data
ZEPHIR_STATS    := $(ZEPHIR_DIR)/monitor/stats
ZEPHIR_TMP      := $(ZEPHIR_DIR)/monitor/tmp
ZEPHIR_XML      := $(ZEPHIR_DIR)/monitor/xml
ZEPHIR_SCRIPTS  := $(ZEPHIR_DIR)/scripts
ZEPHIR_LOG      := $(DESTDIR)/var/log/zephir

EAD_BACKEND     := $(EOLE_DIR)/ead2/backend

CRON_D          := $(DESTDIR)/etc/cron.d
LOGROTATE_D     := $(DESTDIR)/etc/logrotate.d
MOTD_D          := $(DESTDIR)/etc/update-motd.d

PYTHON_DIST     := $(DESTDIR)/usr/lib/python2.6/dist-packages

ifneq ($(DESTDIR),)
PYTHON_OPTS     := --root $(DESTDIR)
endif

DICO            := dicos

CRON            := cron
LOGROTATE       := logrotate

DATA            := data
SCRIPTS         := scripts
PRETEMPLATE     := pretemplate
POSTTEMPLATE    := posttemplate
MOTD            := motd

EAD             := ead

ZEPHIR_TMPL     := zephir/monitor/agentmanager/templates

clean:
	$(RM) -r build
	$(MAKE) -C $(ZEPHIR_TMPL) clean

build: clean
	$(MAKE) -C $(ZEPHIR_TMPL) all

installdirs:
	$(INSTALL_DIR) $(EOLE_DIR)
	$(INSTALL_DIR) $(CREOLE_DIR)
	$(INSTALL_DIR) $(CREOLE_DICO)
	$(INSTALL_DIR) $(PRETEMPLATE_DIR)
	$(INSTALL_DIR) $(POSTTEMPLATE_DIR)

	$(INSTALL_DIR) $(ZEPHIR_DIR)
	$(INSTALL_DIR) $(ZEPHIR_CONFIG)
	$(INSTALL_DIR) $(ZEPHIR_DATA)
	$(INSTALL_DIR) $(ZEPHIR_STATS)
	$(INSTALL_DIR) $(ZEPHIR_TMP)
	$(INSTALL_DIR) $(ZEPHIR_XML)
	$(INSTALL_DIR) $(ZEPHIR_SCRIPTS)
	$(INSTALL_DIR) $(ZEPHIR_LOG)

	$(INSTALL_DIR) $(EAD_BACKEND)
	for ead in `find $(EAD)/ -type d`; do \
		$(INSTALL_DIR) $(EAD_BACKEND)/$${ead#*/}; \
	done

	$(INSTALL_DIR) $(CRON_D)
	$(INSTALL_DIR) $(LOGROTATE_D)
	$(INSTALL_DIR) $(MOTD_D)

install: build installdirs
	for dico in `ls -1 $(DICO)/`; do \
	 	$(INSTALL_DATA) $(DICO)/$$dico $(CREOLE_DICO)/ ; \
	done
	for ead in `find $(EAD)/ -type f`; do \
		$(INSTALL_DATA) $(EAD)/$${ead#*/} $(EAD_BACKEND)/`dirname $${ead#*/}`; \
	done

	for script in `ls -1 $(SCRIPTS)/`; do \
		$(INSTALL_PROGRAM) $(SCRIPTS)/$$script $(ZEPHIR_SCRIPTS)/ ; \
	done
	for pretemplate in `ls -1 $(PRETEMPLATE)/`; do \
		$(INSTALL_PROGRAM) $(PRETEMPLATE)/$$pretemplate $(PRETEMPLATE_DIR)/ ; \
	done
	for posttemplate in `ls -1 $(POSTTEMPLATE)/`; do \
		$(INSTALL_PROGRAM) $(POSTTEMPLATE)/$$posttemplate $(POSTTEMPLATE_DIR)/ ; \
	done
	for motdfile in `ls -1 $(MOTD)/`; do \
		$(INSTALL_PROGRAM) $(MOTD)/$$motdfile $(MOTD_D)/ ; \
	done
	for cron in `ls -1 $(CRON)/`; do \
		$(INSTALL_PROGRAM) $(CRON)/$$cron $(CRON_D)/ ; \
	done
	for logrotate in `ls -1 $(LOGROTATE)/`; do \
		$(INSTALL_DATA) $(LOGROTATE)/$$logrotate $(LOGROTATE_D)/ ; \
	done
	python setup.py install --no-compile --install-layout=deb $(PYTHON_OPTS)

uninstall:
	for dico in `find $(DICO)/ -type f`; do \
		$(RM) $(CREOLE_DICO)/$${dico#*/}; \
	done

	for ead in `find $(EAD)/ -type f`; do \
		$(RM) $(EAD_BACKEND)/$${ead#*/}; \
	done

	for script in `find $(SCRIPTS)/ -type f`; do \
		$(RM) $(ZEPHIR_SCRIPTS)/$${script#*/} ; \
	done
	for pretemplate in `find $(PRETEMPLATE)/ -type f`; do \
		$(RM) $(PRETEMPLATE_DIR)/$${pretemplate#*/} ; \
	done
	for pretemplate in `find $(POSTTEMPLATE)/ -type f`; do \
		$(RM) $(POSTTEMPLATE_DIR)/$${posttemplate#*/} ; \
	done
	for motdfile in `find $(MOTD)/ -type f`; do \
		$(RM) $(MOTD_D)/$${motdfile#*/} ; \
	done
	for cron in `find $(CRON)/ -type f`; do \
		$(RM) $(CRON_D)/$${cron#*/}; \
	done
	for logrotate in `find $(LOGROTATE)/ -type f`; do \
		$(RM) $(LOGROTATE_D)/$${logrotate#*/} ; \
	done

.PHONY: clean build installdirs install uninstall

=== debian/changelog ===
zephir-client (2.7.2-9) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [7db5030] a la fin d'Upgrade-Auto proposer de faire une mise à jour si nécessaire (ref #30403)
  * [3fbfcf0] Merge branch '2.7.1/master' into 2.7.2/master
  * [9857911] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [b934f76] Emmanuel Garette: Update package since “debian/eole/2.7.2-8”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 01 Jul 2020 16:54:26 +0200

zephir-client (2.7.2-8) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [50cc96c] Merge branch '2.6.0/install_paqs' into 2.6.1/master
  * [35720bc] Merge branch '2.6.0/28160-errlog' into 2.6.1/master
  * [b77d0a8] Merge branch '2.6.0/install_paqs' into 2.6.0/master
  * [74ba0e2] Merge branch '2.6.0/28160-errlog' into 2.6.0/master

  [ Emmanuel Garette ]
  * [b985e3d] avec Zéphir 2.8.0, convertir le MD5SUM en string (ref #30178)
  * [de7b66f] Merge branch '2.6.0/master' into 2.6.1/master
  * [761df60] Merge branch '2.6.1/master' into 2.6.2/master
  * [ec6f392] Merge branch '2.6.2/master' into 2.7.0/master
  * [ce1ea43] Merge branch '2.7.0/master' into 2.7.1/master
  * [4525a76] Merge branch '2.7.1/master' into 2.7.2/master
  * [562d4f7] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [53fa2ab] Emmanuel Garette: Update package since “debian/eole/2.7.2-7”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 28 May 2020 09:20:25 +0200

zephir-client (2.7.2-7) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [d99ef5b] Merge branch 'issue/29132' into 2.7.1/master
  * [d0d1168] Merge branch 'issue/29270' into 2.7.1/master
  * [78b96b4] Merge branch 'issue/29270' into 2.7.1/master

  [ Benjamin Bohard ]
  * [752071d] Add dhcp lease report to zephir agents.
  * [c48d865] Merge branch '2.7.1/20753-agent_zephir_dhcp' into 2.7.1/master
  * [7150f8b] Merge branch '2.7.1/master'
  * [34c996b] Merge branch 'master' into dist/eole/2.7.2/master
  * [9961cb7] Cast to float before division and add threshold at 75%.
  * [9c94b8c] Fixes typing error.
  * [0467c4f] Merge branch '2.7.1/master'
  * [57e8e49] Merge branch 'master' into dist/eole/2.7.2/master

  [ Joël Cuissinat ]
  * [7cb991f] agentmanager/config.py : add ACTIVER_DHCP
  * [6fcf163] Merge branch '2.7.1/master' into 2.7.2/master
  * [02d4897] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [c93c9e1] Joël Cuissinat: Update package since “debian/eole/2.7.2-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 07 Apr 2020 13:00:53 +0200

zephir-client (2.7.2-6) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [62ace00] Netstat agent did not display vlan IP addresses
  * [e97819a] Merge branch 'issue/29270'
  * [eb042ad] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [72a7808] Fabrice Barconnière: Update package since “debian/eole/2.7.2-5”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 15 Nov 2019 14:05:24 +0100

zephir-client (2.7.2-5) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [396ab73] Merge branch 'issue/29132' into 2.7.0/master
  * [e2ce81c] Merge branch 'issue/29132' into 2.7.0/master
  * [0a22d07] Netstats agent did not display IP addresses
  * [d6c942b] Merge branch 'issue/29270'
  * [f369745] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [bdf143a] Fabrice Barconnière: Update package since “debian/eole/2.7.2-4”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 15 Nov 2019 13:21:33 +0100

zephir-client (2.7.2-4) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [6572f93] Amon RVP agent was in Error status when ne measure were available
  * [809179e] Merge branch 'issue/29132'
  * [080a42e] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [8134b37] Fabrice Barconnière: Update package since “debian/eole/2.7.2-3”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 22 Oct 2019 09:46:49 +0200

zephir-client (2.7.2-3) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [286fded] sw threads Zéphir Agent uses now /tmp/tunnels_status.txt as measure source
  * [bb82da2] Sphynx RVP agent was in Error status when no measure were available
  * [245c484] Merge branch 'issue/29132'
  * [5afec9a] Merge branch 'issue/29132' into 2.7.1/master
  * [e7dfc74] Merge branch '2.7.1/master'
  * [cffba3c] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [279db94] Fabrice Barconnière: Update package since “debian/eole/2.7.2-2”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 17 Oct 2019 08:19:48 +0200

zephir-client (2.7.2-2) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [9054f73] Merge branch '2.6.0/install_paqs' into 2.6.2/master
  * [2de528b] Merge branch '2.6.0/28160-errlog' into 2.6.2/master
  * [5ca0d6a] Merge branch '2.7.1/master'
  * [7720cee] Merge branch 'master' into dist/eole/2.7.2/master

  [ Fabrice Barconnière ]
  * [5d764f1] xfrm policies were not ckecked in Zéphir agent
  * [bc15e95] fix xfrm policies ckeck
  * [7571913] Merge branch '2.6.2/master' into 2.7.0/master
  * [a8d8537] Revert "fix xfrm policies ckeck"
  * [8b98590] Revert "xfrm policies were not ckecked in Zéphir agent"
  * [6601658] Merge branch '2.7.0/master' into 2.7.1/master
  * [3e92e98] Merge branch '2.7.1/master'

  [ Matthieu Lamalle ]
  * [ebe72ae] ref #29044 push backup free space stats in z_stats
  * [c0b1949] Merge branch 'issue/28472' into 2.7.1/master

  [ EOLE Build Daemon ]
  * [54cc926] Joël Cuissinat: Update package since “debian/eole/2.7.2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 15 Oct 2019 15:48:40 +0200

zephir-client (2.7.2-1) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [af887f1] Merge branch '2.6.0/install_paqs' into 2.7.0/master
  * [2a9e96f] Merge branch '2.6.0/28160-errlog' into 2.7.0/master


=== debian/control ===
Source: zephir-client
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               python-all,
               python-cheetah
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/zephir-client
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/zephir-client/repository

Package: zephir-client
Architecture: all
Depends: update-inetd,
         uucp,
         python-rrdtool,
         python-twisted,
         snmp-mibs-downloader,
         language-pack-en,
         ssl-cert,
         openssh-server,
         ${python:Depends},
         ${misc:Depends}
Description: programmes d'interconnexion d'un client EOLE avec un Zéphir
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: zephir-stats
Architecture: all
Conflicts: zephir-backend,
# conflits liés à l'Upgrade 2.2 -> 2.3
 zephir-client (<<2.3), eole-ead-server (<<2.3)
Replaces: zephir-backend
Depends: zephir-client, ${python:Depends}, ${misc:Depends}
Description: programmes d'interconnexion d'un client EOLE avec un Zéphir
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

## zephir-client 2.8.1-24

=== debian/changelog ===
zephir-client (2.8.1-24) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [2486faf] recharger les eosfuncs lors de l'enregistrement ref #32806
  * [5d22ee5] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [81ac1c7] Matthieu Lamalle: Update package since “debian/eole/2.8.1-23”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 17 Jun 2021 10:06:29 +0200

zephir-client (2.8.1-23) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [50095f4] ajout message d'erreur dans l'import des agents ref #32789
  * [4fae2ae] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ae288f0] Matthieu Lamalle: Update package since “debian/eole/2.8.1-22”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Tue, 15 Jun 2021 11:50:48 +0200

zephir-client (2.8.1-22) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [4096c83] suppression de la variable DANSGUARDIAN_PORT3 (ref #32157)
  * [a656b71] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [bb091e0] Emmanuel Garette: Update package since “debian/eole/2.8.1-21”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 07 Jun 2021 11:28:39 +0200

zephir-client (2.8.1-21) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [1b88695] correction sur vérification checksum ref #32634
  * [0c825df] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [54b617b] Matthieu Lamalle: Update package since “debian/eole/2.8.1-20”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 03 Jun 2021 16:07:04 +0200

zephir-client (2.8.1-20) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [ecdcb9e] correction byte to str ref #32619
  * [e526910] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fab4364] Matthieu Lamalle: Update package since “debian/eole/2.8.1-19”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Wed, 02 Jun 2021 11:37:55 +0200

zephir-client (2.8.1-19) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [ccd66b2] mettre un message en francais dans l'agent DBCheck (ref #32186)
  * [e741c34] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [4834dd3] Emmanuel Garette: Update package since “debian/eole/2.8.1-18”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 06 May 2021 11:07:48 +0200

zephir-client (2.8.1-18) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [1185d54] network_zephir : appel à kill_dhclient() dans "conf_network"
  * [e3be096] Merge branch '2.7.0/32037-network_zephir' into 2.8.0/master
  * [8a562e7] Merge branch '2.8.0/master'
  * [642259c] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [85eff4a] Joël Cuissinat: Update package since “debian/eole/2.8.1-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 23 Apr 2021 14:41:36 +0200

zephir-client (2.8.1-17) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [5ff7269] Revert "mise à jour de l'agent bareos (ref #32050)" Doit être fait que sur 2.8.1 (ref #32050)
  * [69f101e] Merge branch '2.8.0/master'
  * [1641982] Revert "Revert "mise à jour de l'agent bareos (ref #32050)""
  * [be88584] ajout agent dbcheck (ref #32186)
  * [fbdbec6] Merge branch 'master' into dist/eole/2.8.1/master

  [ Joël Cuissinat ]
  * [5cc803a] cosmétique agent bareos (ref #32050)

  [ EOLE Build Daemon ]
  * [5a9835a] Emmanuel Garette: Update package since “debian/eole/2.8.1-16”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 22 Apr 2021 14:21:08 +0200

zephir-client (2.8.1-16) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [2e13ffa] mise à jour de l'agent bareos (ref #32050)
  * [f845161] rvp.py suppression du traceback (ref #32051)
  * [62e79e3] agent dhcp.py : ne pas planter si aucune mesure ne sont prise + affichage sans b'' (ref #32049)
  * [10fc4a4] Merge branch '2.8.0/master'
  * [03f9f06] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ffd4bcb] Emmanuel Garette: Update package since “debian/eole/2.8.1-15”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 07 Apr 2021 15:44:34 +0200

zephir-client (2.8.1-15) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [8a9ecde] Merge branch '2.6.0/30439-ioctl' into 2.7.0/master
  * [79543be] Merge branch '2.7.0/30675-squashfs' into 2.7.0/master

  [ Emmanuel Garette ]
  * [38f5818] faire un warning explicite en cas d'erreur d'insertion rrdtool (ref #31989)
  * [529b8d8] Merge branch '2.7.0/master' into 2.7.1/master
  * [61f1f45] Merge branch '2.7.1/master' into 2.7.2/master
  * [e798661] Merge branch '2.7.2/master' into 2.8.0/master
  * [cf9030e] Merge branch '2.8.0/master'
  * [c0bafa2] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [e24567e] Emmanuel Garette: Update package since “debian/eole/2.8.1-14”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 07 Apr 2021 11:23:15 +0200

zephir-client (2.8.1-14) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [4b8d17b] utilisation de apt-eole pour installer les paquets (ref #31605)
  * [89e911e] Merge branch '2.7.1/master' into 2.7.2/master
  * [fb5e683] Merge branch '2.7.2/master' into 2.8.0/master
  * [2f94a09] Merge branch '2.8.0/master'
  * [ad88e8e] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [8381fca] Emmanuel Garette: Update package since “debian/eole/2.8.1-13”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 29 Jan 2021 16:51:21 +0100

zephir-client (2.8.1-13) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [6de51a4] dans logrotate utiliser /usr/lib/rsyslog/rsyslog-rotate (ref #31409)
  * [40c8fe7] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6f46336] Emmanuel Garette: Update package since “debian/eole/2.8.1-12”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 14 Dec 2020 10:46:14 +0100

zephir-client (2.8.1-12) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]


## zephir-client 2.8.1-79

=== debian/changelog ===
zephir-client (2.8.1-79) eole-2.8.1-proposed-updates; urgency=low

  [ lseys ]
  * [2972a56] delete register_logs call and def
  * [f42a72f] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ed2a17d] lseys: Update package since “debian/eole/2.8.1-78”

 -- lseys <lseys@cadoles.com>  Mon, 08 Sep 2025 11:01:32 +0200

zephir-client (2.8.1-78) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [bcdf380] fix typo Ref: #36362
  * [e6eb657] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3fd8957] Joël Cuissinat: Update package since “debian/eole/2.8.1-77”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 21 Jan 2025 10:25:13 +0100

zephir-client (2.8.1-77) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [20bcd76] ne pas écraser l'import de status (ref #36362)
  * [d967cdf] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [8396be0] Emmanuel Garette: Update package since “debian/eole/2.8.1-76”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 14 Jan 2025 09:10:07 +0100

zephir-client (2.8.1-76) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [c86e896] mise en commun de la fonction qui liste les certificats (ref #36362)
  * [b1fd561] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [8bbae49] Emmanuel Garette: Update package since “debian/eole/2.8.1-75”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 12:18:16 +0100

zephir-client (2.8.1-75) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [09b122d] afficher l'état des certificats fichier par fichier (fix #36354)
  * [46e3592] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [5302360] Emmanuel Garette: Update package since “debian/eole/2.8.1-74”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 07:46:59 +0100

zephir-client (2.8.1-74) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [30fd320] remonter en priorité les erreurs par rapport au warnings (ref #36352)
  * [76e632c] Merge branch '2.8.0/master' into 2.8.1/master
  * [dc8373e] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [45c316a] Emmanuel Garette: Update package since “debian/eole/2.8.1-73”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 17 Dec 2024 15:29:40 +0100

zephir-client (2.8.1-73) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [be284d1] La classe dict ne propose plus la méthode has_key.
  * [ad61249] Merge branch '2.8.0/master' into 2.8.1/master
  * [c49a90c] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [660b556] Benjamin Bohard: Update package since “debian/eole/2.8.1-72”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Oct 2024 10:28:19 +0200

zephir-client (2.8.1-72) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0fbeb42] Prévenir l’accumulation des callbacks résultant d’appels successifs.
  * [7dd43e5] Merge branch '2.7.2/master' into 2.8.0/master
  * [0226883] Merge branch '2.8.0/master' into 2.8.1/master
  * [de0694b] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [e399bbb] Benjamin Bohard: Update package since “debian/eole/2.8.1-71”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 25 Jul 2024 13:53:22 +0200

zephir-client (2.8.1-71) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [c4984cf] modification génération listes packages ref #33332

  [ Benjamin Bohard ]
  * [c10ce71] Agent Zéphir pour l’état des drapeaux.
  * [1123996] Cas des journées avec une seule plage.
  * [f8b7b7c] Merge branch '2.7.2/master' into 2.8.0/master
  * [b025f3b] Merge branch '2.8.0/master' into 2.8.1/master
  * [e6abacc] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [736b9ee] Benjamin Bohard: Update package since “debian/eole/2.8.1-70”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 25 Jul 2024 11:43:08 +0200

zephir-client (2.8.1-70) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [a97e57e] Supprimer les locks en sortie de import_aaf.zephir
  * [7583676] Re-tenter une connexion au zéphir dans import_aaf.zephir
  * [7dddf5f] Merge branch '2.8.0/master' into 2.8.1/master
  * [def032f] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [301da74] Laurent Gourvénec: Update package since “debian/eole/2.8.1-69”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 26 Jun 2024 11:04:32 +0200

zephir-client (2.8.1-69) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [92b81c0] Rechercher les fichiers en conteneur au bon endroit.
  * [de0da0c] Merge branch '2.7.2/master' into 2.8.0/master
  * [83f7c70] Merge branch '2.8.0/master' into 2.8.1/master
  * [bd9e98f] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [cbb2134] Le formatage attendu par Zéphir dépend de sa version.
  * [03347ef] Merge branch '2.7.2/master' into 2.8.0/master
  * [553716c] Merge branch '2.8.0/master' into 2.8.1/master
  * [257a10b] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [261eabe] Benjamin Bohard: Update package since “debian/eole/2.8.1-68”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 15 Apr 2024 14:21:49 +0200

zephir-client (2.8.1-68) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [e3431e2] vérifier la non présence d'un verrou system avant de mettre à jour (ref #35779)
  * [0edff59] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [00d35d4] Emmanuel Garette: Update package since “debian/eole/2.8.1-67”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 02 Apr 2024 13:40:21 +0200

zephir-client (2.8.1-67) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]


## zephir-client 2.8.1-80

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 LOGROTATE_D     := $(DESTDIR)/etc/logrotate.d
 MOTD_D          := $(DESTDIR)/etc/update-motd.d
 
-PYTHON_DIST     := $(DESTDIR)/usr/lib/python2.6/dist-packages
+PYTHON_DIST     := $(DESTDIR)/usr/lib/python3/dist-packages
 
 ifneq ($(DESTDIR),)
 PYTHON_OPTS     := --root $(DESTDIR)
@@ -105,7 +105,7 @@
 	for logrotate in `ls -1 $(LOGROTATE)/`; do \
 		$(INSTALL_DATA) $(LOGROTATE)/$$logrotate $(LOGROTATE_D)/ ; \
 	done
-	python setup.py install --no-compile --install-layout=deb $(PYTHON_OPTS)
+	python3 setup.py install --no-compile --install-layout=deb $(PYTHON_OPTS)
 
 uninstall:
 	for dico in `find $(DICO)/ -type f`; do \

=== debian/changelog ===
zephir-client (2.8.1-80) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [249f0aa] l'import de NotFoundError est devenu inutile (ref #37068)
  * [ad56e2a] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6742831] Emmanuel Garette: Update package since “debian/eole/2.8.1-79”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 25 Nov 2025 10:32:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
 Build-Depends: debhelper (>= 9),
                dh-systemd,
-               python-all,
-               python-cheetah
+               python3-all,
+               dh-python,
+               python3-cheetah
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/zephir-client
@@ -15,8 +16,8 @@
 Architecture: all
 Depends: update-inetd,
          uucp,
-         python-rrdtool,
-         python-twisted,
+         python3-rrdtool,
+         python3-twisted,
          snmp-mibs-downloader,
          language-pack-en,
          ssl-cert,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with python3,systemd

# Avoid installing cron-zephir.sh zephir-client.
# Its source is explicitely listed in zephir-stats.install
override_dh_install:
	rm -f debian/tmp/usr/share/zephir/scripts/cron-zephir.sh
	dh_install

# Force init script name
override_dh_installinit:
	dh_installinit --noscripts -pzephir-stats --name=z_stats $@

override_dh_systemd_enable:
	dh_systemd_enable --name=z_stats

override_dh_systemd_start:
	dh_systemd_start --no-start --no-restart-on-upgrade z_stats.service

.PHONY: override_dh_installinit override_dh_install

## zephir-client 2.9.0-54

=== debian/changelog ===
zephir-client (2.9.0-54) eole-2.9.0-proposed-updates; urgency=low

  [ lseys ]
  * [2972a56] delete register_logs call and def
  * [a6239c1] Merge branch '2.8.1/master' into 2.9.0/master
  * [43925cc] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [7ae43aa] lseys: Update package since “debian/eole/2.9.0-53”

 -- lseys <lseys@cadoles.com>  Mon, 08 Sep 2025 11:03:03 +0200

zephir-client (2.9.0-53) eole-2.9.0-proposed-updates; urgency=low

  [ lseys ]
  * [3835d6e] Création d'un script pour simplifier l'usage de <notifi_upload/add/getlist>aaf pour python3
  * [c762d9b] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [5a21116] lseys: Update package since “debian/eole/2.9.0-52”

 -- lseys <lseys@cadoles.com>  Mon, 01 Sep 2025 13:18:23 +0200

zephir-client (2.9.0-52) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [4d7e6ea] sysinfo agent : rounds displayed values
  * [97a497e] sysinfo agent : code cleaning
  * [66a7bac] diskspace agent: rounds displayed values
  * [93bfffa] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [2a9f85a] Joël Cuissinat: Update package since “debian/eole/2.9.0-51”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 13 Jun 2025 14:05:05 +0200

zephir-client (2.9.0-51) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [fc5e3e6] Ignore overlay mount type
  * [80bd832] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [3cfd483] Joël Cuissinat: Update package since “debian/eole/2.9.0-50”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 20 May 2025 18:11:28 +0200

zephir-client (2.9.0-50) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [bcdf380] fix typo Ref: #36362
  * [c8d008e] Merge branch '2.8.1/master' into 2.9.0/master
  * [56e5e16] Merge branch '2.9.0/master' into dist/eole/2.9.0/master
  * [babf2c5] maj debian/control

  [ EOLE Build Daemon ]
  * [4e28cdd] Joël Cuissinat: Update package since “debian/eole/2.9.0-49”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 21 Jan 2025 15:34:27 +0100

zephir-client (2.9.0-49) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [20bcd76] ne pas écraser l'import de status (ref #36362)
  * [828cf94] Merge branch '2.8.1/master' into 2.9.0/master
  * [9fd8f3b] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [c9ed209] Emmanuel Garette: Update package since “debian/eole/2.9.0-48”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 14 Jan 2025 09:11:09 +0100

zephir-client (2.9.0-48) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [c86e896] mise en commun de la fonction qui liste les certificats (ref #36362)
  * [9a8e656] Merge branch '2.8.1/master' into 2.9.0/master
  * [be07734] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e5e04a2] Emmanuel Garette: Update package since “debian/eole/2.9.0-47”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 12:19:15 +0100

zephir-client (2.9.0-47) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [09b122d] afficher l'état des certificats fichier par fichier (fix #36354)
  * [1424afc] Merge branch '2.8.1/master' into 2.9.0/master
  * [12a2690] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [db135a6] Emmanuel Garette: Update package since “debian/eole/2.9.0-46”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 07:47:26 +0100

zephir-client (2.9.0-46) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [30fd320] remonter en priorité les erreurs par rapport au warnings (ref #36352)
  * [76e632c] Merge branch '2.8.0/master' into 2.8.1/master
  * [44094be] Merge branch '2.8.1/master' into 2.9.0/master
  * [568213c] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [41cc280] Emmanuel Garette: Update package since “debian/eole/2.9.0-45”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 17 Dec 2024 15:30:02 +0100

zephir-client (2.9.0-45) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [0f39f68] Vérifier le certificat LE avec le fichier fullchain.pem (ref #36303)
  * [01e5aa4] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [aaf7bfe] Emmanuel Garette: Update package since “debian/eole/2.9.0-44”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 03 Dec 2024 14:38:35 +0100

zephir-client (2.9.0-44) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [be284d1] La classe dict ne propose plus la méthode has_key.
  * [ad61249] Merge branch '2.8.0/master' into 2.8.1/master
  * [5b31cdb] Merge branch '2.8.1/master' into 2.9.0/master
  * [9ce35c2] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [281c5f2] Benjamin Bohard: Update package since “debian/eole/2.9.0-43”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Oct 2024 10:29:29 +0200

zephir-client (2.9.0-43) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0fbeb42] Prévenir l’accumulation des callbacks résultant d’appels successifs.
  * [7dd43e5] Merge branch '2.7.2/master' into 2.8.0/master
  * [0226883] Merge branch '2.8.0/master' into 2.8.1/master
  * [0677f01] Merge branch '2.8.1/master' into 2.9.0/master
  * [73869ae] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [3b272bf] Benjamin Bohard: Update package since “debian/eole/2.9.0-42”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 25 Jul 2024 13:54:37 +0200

zephir-client (2.9.0-42) eole-2.9.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [c4984cf] modification génération listes packages ref #33332

  [ Benjamin Bohard ]
  * [c10ce71] Agent Zéphir pour l’état des drapeaux.
  * [1123996] Cas des journées avec une seule plage.


## zephir-client 2.9.0-55

=== Makefile ===
--- 
+++ 
@@ -105,7 +105,7 @@
 	for logrotate in `ls -1 $(LOGROTATE)/`; do \
 		$(INSTALL_DATA) $(LOGROTATE)/$$logrotate $(LOGROTATE_D)/ ; \
 	done
-	python3 setup.py install --no-compile --install-layout=deb $(PYTHON_OPTS)
+	python3 setup.py install --skip-build --install-layout=deb $(PYTHON_OPTS)
 
 uninstall:
 	for dico in `find $(DICO)/ -type f`; do \

=== data/monitor/doc/Makefile ===
# .rst to .html converter, from docutils package
# on mandrake it is installed by package python-docutils at
# /usr/share/doc/python-docutils-0.3/tools/html.py
DOCUTILS_HTML = buildhtml.py
#docutils-html

FILES = writing-agents.rst
DISTRIB_FILES = README

.PHONY : all

all : $(FILES:%.rst=%.html) $(DISTRIB_FILES:%=%.html)

$(DISTRIB_FILES:%=%.html) : \
%.html : ../%
	$(DOCUTILS_HTML) $< $@

%.html : %.rst
	$(DOCUTILS_HTML) $< $@

=== zephir/monitor/agentmanager/templates/Makefile ===
TEMPLATES = \
  PageTmpl.tmpl \
  AgentPageTmpl.tmpl \
  ManagerPageTmpl.tmpl \
  ServerPageTmpl.tmpl \
  AgentTmpl.tmpl \
  FileDataTmpl.tmpl \
  RRDFileDataTmpl.tmpl \
  ImgFileDataTmpl.tmpl \
  HTMLDataTmpl.tmpl \
  MeasuresDataTmpl.tmpl \
  TableDataTmpl.tmpl \
  SectionTmpl.tmpl


.PHONY : all clean

all : $(TEMPLATES:%.tmpl=%.py)

clean :
	rm -f $(TEMPLATES:%.tmpl=%.py)
	rm -f $(TEMPLATES:%.tmpl=%.py_bak)

%.py : %.tmpl
	cheetah3 compile $<

=== debian/changelog ===
zephir-client (2.9.0-55) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0699feb] Typo dans le nom de fonction xmlrpc
  * [5f90efd] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [7a87a83] Benjamin Bohard: Update package since “debian/eole/2.9.0-54”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 07 Oct 2025 16:01:45 +0200

=== debian/control ===
Source: zephir-client
Section: admin
Priority: optional
Maintainer: Équipe Eole <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 13),
               python3-all,
               dh-python,
               python3-cheetah,
               python3-all-dev,
               python3-setuptools,
               dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/zephir-client
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/zephir-client/repository

Package: zephir-client
Architecture: all
Depends: update-inetd,
         uucp,
         python3-rrdtool,
         python3-twisted,
         snmp-mibs-downloader,
         language-pack-en,
         ssl-cert,
         openssh-server,
         ${python3:Depends},
         ${misc:Depends}
Description: programmes d'interconnexion d'un client EOLE avec un Zéphir
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: zephir-stats
Architecture: all
Conflicts: zephir-backend,
Replaces: zephir-backend
Depends: zephir-client,
         ${python3:Depends},
         ${misc:Depends}
Description: programmes d'interconnexion d'un client EOLE avec un Zéphir
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

## zephir-client 2.9.0-56

=== debian/changelog ===
zephir-client (2.9.0-56) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [249f0aa] l'import de NotFoundError est devenu inutile (ref #37068)

  [ Laurent Gourvénec ]
  * [5ae6893] Merge remote-tracking branch 'origin/2.8.1/master' into 2.9.0/master
  * [8e7b742] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [55bc98c] Laurent Gourvénec: Update package since “debian/eole/2.9.0-55”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Fri, 02 Jan 2026 11:20:55 +0100

## zephir-client 2.10.0-21

=== debian/changelog ===
zephir-client (2.10.0-21) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [acf5916] L’unité par défaut est la seconde.
  * [1fa0268] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [3e02a65] Benjamin Bohard: Update package since “debian/eole/2.10.0-20”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 28 Apr 2025 16:06:02 +0200

zephir-client (2.10.0-20) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [bbf8b47] utilisation de subprocess.run + utilisation de systemd pour redémarrer le serveur (ref #36741)
  * [380b213] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [4769b21] Emmanuel Garette: Update package since “debian/eole/2.10.0-19”

 -- Emmanuel Garette <egarette@silique.fr>  Thu, 24 Apr 2025 09:34:32 +0200

zephir-client (2.10.0-19) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [a6178f8] Agents services : mise à jour du test ssh pour EOLE 2.10
  * [e705514] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [8f0bb85] Joël Cuissinat: Update package since “debian/eole/2.10.0-18”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 15 Apr 2025 10:25:34 +0200

zephir-client (2.10.0-18) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [bcdf380] fix typo Ref: #36362
  * [c8d008e] Merge branch '2.8.1/master' into 2.9.0/master
  * [b6a46b5] Merge branch '2.9.0/master'
  * [c99b598] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [a98f266] Joël Cuissinat: Update package since “debian/eole/2.10.0-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 21 Jan 2025 15:28:10 +0100

zephir-client (2.10.0-17) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [20bcd76] ne pas écraser l'import de status (ref #36362)
  * [828cf94] Merge branch '2.8.1/master' into 2.9.0/master
  * [612e823] Merge branch '2.9.0/master'
  * [45a07aa] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [1867532] Emmanuel Garette: Update package since “debian/eole/2.10.0-16”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 14 Jan 2025 09:11:26 +0100

zephir-client (2.10.0-16) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [c86e896] mise en commun de la fonction qui liste les certificats (ref #36362)
  * [9a8e656] Merge branch '2.8.1/master' into 2.9.0/master
  * [4a8bd9b] Merge branch '2.9.0/master'
  * [694aadf] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [cf9b2cd] Emmanuel Garette: Update package since “debian/eole/2.10.0-15”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 12:19:35 +0100

zephir-client (2.10.0-15) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [09b122d] afficher l'état des certificats fichier par fichier (fix #36354)
  * [1424afc] Merge branch '2.8.1/master' into 2.9.0/master
  * [a2eedde] Merge branch '2.9.0/master'
  * [e9bb160] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [973a201] Emmanuel Garette: Update package since “debian/eole/2.10.0-14”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 07:47:50 +0100

zephir-client (2.10.0-14) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [30fd320] remonter en priorité les erreurs par rapport au warnings (ref #36352)
  * [76e632c] Merge branch '2.8.0/master' into 2.8.1/master
  * [44094be] Merge branch '2.8.1/master' into 2.9.0/master
  * [120cbeb] Merge branch '2.9.0/master'
  * [1d118ab] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c9e5573] Emmanuel Garette: Update package since “debian/eole/2.10.0-13”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 17 Dec 2024 15:30:36 +0100

zephir-client (2.10.0-13) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [0f39f68] Vérifier le certificat LE avec le fichier fullchain.pem (ref #36303)
  * [0aa1400] Merge branch '2.9.0/master'
  * [4f6d0b2] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [1ffeb73] Emmanuel Garette: Update package since “debian/eole/2.10.0-12”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 03 Dec 2024 14:39:40 +0100

zephir-client (2.10.0-12) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [be284d1] La classe dict ne propose plus la méthode has_key.
  * [ad61249] Merge branch '2.8.0/master' into 2.8.1/master
  * [5b31cdb] Merge branch '2.8.1/master' into 2.9.0/master
  * [3ae26d9] Merge branch '2.9.0/master'
  * [879ca2b] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [d20a442] Benjamin Bohard: Update package since “debian/eole/2.10.0-11”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Oct 2024 10:30:31 +0200

zephir-client (2.10.0-11) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [a46f00e] Corriger la syntaxe de la commande chown.
  * [add629b] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [502cc1b] Benjamin Bohard: Update package since “debian/eole/2.10.0-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 29 Aug 2024 15:40:34 +0200

zephir-client (2.10.0-10) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [0fbeb42] Prévenir l’accumulation des callbacks résultant d’appels successifs.
  * [7dd43e5] Merge branch '2.7.2/master' into 2.8.0/master
  * [0226883] Merge branch '2.8.0/master' into 2.8.1/master
  * [0677f01] Merge branch '2.8.1/master' into 2.9.0/master
  * [51474d9] Merge branch '2.9.0/master'
  * [5baf1ad] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [4a46355] Benjamin Bohard: Update package since “debian/eole/2.10.0-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 25 Jul 2024 13:55:25 +0200

zephir-client (2.10.0-9) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [45bde19] Merge branch '2.8.1/master' into 2.9.0/master

  [ Matthieu Lamalle ]
  * [c4984cf] modification génération listes packages ref #33332



## zephir-client 2.10.0-22

=== debian/changelog ===
zephir-client (2.10.0-22) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [fc5e3e6] Ignore overlay mount type
  * [bccd95d] Merge branch '2.9.0/master'
  * [4a28800] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b43ef4e] Joël Cuissinat: Update package since “debian/eole/2.10.0-21”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 20 May 2025 18:12:36 +0200

## zephir-client 2.10.0-24

=== debian/changelog ===
zephir-client (2.10.0-24) eole-2.10.0-proposed-updates; urgency=low

  [ lseys ]
  * [3835d6e] Création d'un script pour simplifier l'usage de <notifi_upload/add/getlist>aaf pour python3
  * [0edef96] Merge branch '2.9.0/master'
  * [2972a56] delete register_logs call and def
  * [a6239c1] Merge branch '2.8.1/master' into 2.9.0/master
  * [06cd287] Merge branch '2.9.0/master'
  * [1e577f7] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [ddbe57f] lseys: Update package since “debian/eole/2.10.0-23”

 -- lseys <lseys@cadoles.com>  Mon, 08 Sep 2025 11:06:42 +0200

zephir-client (2.10.0-23) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [4d7e6ea] sysinfo agent : rounds displayed values
  * [97a497e] sysinfo agent : code cleaning
  * [66a7bac] diskspace agent: rounds displayed values
  * [3af3a97] Merge branch '2.9.0/master'
  * [294b063] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [9dc23e0] Joël Cuissinat: Update package since “debian/eole/2.10.0-22”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 13 Jun 2025 14:11:09 +0200

## zephir-client 2.10.0-26

=== debian/changelog ===
zephir-client (2.10.0-26) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [46a4fcf] Agents services : mise à jour du test ssh pour EOLE 2.10
  * [1aefd2a] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [af0b504] Joël Cuissinat: Update package since “debian/eole/2.10.0-25”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 17 Oct 2025 16:35:23 +0200

zephir-client (2.10.0-25) eole-2.10.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0699feb] Typo dans le nom de fonction xmlrpc
  * [8a79fe6] Merge branch '2.9.0/master'
  * [2088b84] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c46e581] Benjamin Bohard: Update package since “debian/eole/2.10.0-24”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 07 Oct 2025 16:03:07 +0200

=== debian/control ===
--- 
+++ 
@@ -35,10 +35,10 @@
 Package: zephir-stats
 Architecture: all
 Conflicts: zephir-backend,
+# conflits liés à l'Upgrade 2.2 -> 2.3
+ zephir-client (<<2.3), eole-ead-server (<<2.3)
 Replaces: zephir-backend
-Depends: zephir-client,
-         ${python3:Depends},
-         ${misc:Depends}
+Depends: zephir-client, ${python3:Depends}, ${misc:Depends}
 Description: programmes d'interconnexion d'un client EOLE avec un Zéphir
  Pour toute information complementaire, veuillez vous rendre
  sur le site du Projet a l'adresse suivante :

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

# Avoid installing cron-zephir.sh zephir-client.
# Its source is explicitely listed in zephir-stats.install
override_dh_auto_install:
	#make DESTDIR=debian/tmp install
	rm -f debian/tmp/usr/share/zephir/scripts/cron-zephir.sh
	dh_auto_install

override_dh_installsystemd:
	dh_installsystemd -pzephir-stats --no-stop-on-upgrade --no-start --name=z_stats

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_installsystemd override_dh_auto_install override_dh_builddeb

## zephir-client 2.10.0-27

=== data/monitor/Makefile ===
.PHONY : all run-stakeout templates doc api-doc extract-strings localizations

all : templates localizations doc api-doc

run-stakeout :
	stakeout.rb make \
		'agentmanager/*.py' \
		'agents/*.py' \
		'agentmanager/templates/*.tmpl' \
		README \
		doc/writing-agents.rst \
		'i18n/fr/*.po' &

templates :
	cd agentmanager/templates && make

doc :
	cd doc && make

api-doc : api/index.html

api/index.html : agentmanager/*.py agents/*.py
	epydoc --html -o api -n zephir-agents agentmanager agents

# list localizable strings
XGETTEXT = xgettext -F -i --omit-header -L "Python"
extract-strings :
	@cat i18n/po_header.in
	@find . -name "*.py" -not -name "*Tmpl.py*" -exec echo -e "\n########" {} \; -exec $(XGETTEXT) {} -o - \;

localizations : i18n/fr/LC_MESSAGES/zephir-agents.mo
	mkdir -p i18n/fr/LC_MESSAGES

i18n/fr/LC_MESSAGES/zephir-agents.mo : i18n/fr/fr.po
	msgfmt $< -o $@


# to list non localized strings
#   find . -name "*.py" -exec xgettext -L "Python" {} -a - \; | grep msgid | sort -u > new_msgid_list
#   grep msgid fr.po > old_msg_id_list
#   comm -23 new_msgid_list old_msgid_list

=== debian/changelog ===
zephir-client (2.10.0-27) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [249f0aa] l'import de NotFoundError est devenu inutile (ref #37068)

  [ Laurent Gourvénec ]
  * [5ae6893] Merge remote-tracking branch 'origin/2.8.1/master' into 2.9.0/master
  * [e08536b] Merge remote-tracking branch 'origin/2.9.0/master'
  * [2100f63] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [9c34752] Laurent Gourvénec: Update package since “debian/eole/2.10.0-26”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Fri, 02 Jan 2026 11:41:43 +0100
